Generation Framework

## org.eclipse.gmf.gmfgraph
Interface FigureGallery

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Identity, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FigureGalleryImpl

    public interface FigureGallery

extends Identity

A representation of the model object 'Figure Gallery'. Kind of explicit figure library notion. Bundle of figures. Allows to specify plugin id (allows importing it later from gmfgen code) in addition to figures

The following features are supported:

- `Figures`
- `Descriptors`
- `Borders`
- `Layouts`
- `Implementation Bundle`

See Also:
  `GMFGraphPackage.getFigureGallery()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<Border>` `getBorders()` Returns the value of the 'Borders' containment reference list.
`org.eclipse.emf.common.util.EList<FigureDescriptor>` `getDescriptors()` Returns the value of the 'Descriptors' containment reference list.
`org.eclipse.emf.common.util.EList<RealFigure>` `getFigures()` Returns the value of the 'Figures' containment reference list.
`java.lang.String` `getImplementationBundle()` Returns the value of the 'Implementation Bundle' attribute
`org.eclipse.emf.common.util.EList<Layout>` `getLayouts()` Returns the value of the 'Layouts' containment reference list.
`void` `setImplementationBundle(java.lang.String value)` Sets the value of the '`Implementation Bundle`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFigures

    org.eclipse.emf.common.util.EList<RealFigure> getFigures()

  Returns the value of the 'Figures' containment reference list. The list contents are of type `RealFigure`.

  If the meaning of the 'Figures' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Figures' containment reference list.
  See Also:
    `GMFGraphPackage.getFigureGallery_Figures()`
  ** Generated **
  Model:
    containment="true"

### getDescriptors

    org.eclipse.emf.common.util.EList<FigureDescriptor> getDescriptors()

  Returns the value of the 'Descriptors' containment reference list. The list contents are of type `FigureDescriptor`.

  If the meaning of the 'Descriptors' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Descriptors' containment reference list.
  See Also:
    `GMFGraphPackage.getFigureGallery_Descriptors()`
  ** Generated **
  Model:
    containment="true"

### getBorders

    org.eclipse.emf.common.util.EList<Border> getBorders()

  Returns the value of the 'Borders' containment reference list. The list contents are of type `Border`. Borders for reuse

  Returns:
    the value of the 'Borders' containment reference list.
  See Also:
    `GMFGraphPackage.getFigureGallery_Borders()`
  ** Generated **
  Model:
    containment="true"

### getLayouts

    org.eclipse.emf.common.util.EList<Layout> getLayouts()

  Returns the value of the 'Layouts' containment reference list. The list contents are of type `Layout`. Layouts for reuse

  Returns:
    the value of the 'Layouts' containment reference list.
  See Also:
    `GMFGraphPackage.getFigureGallery_Layouts()`
  ** Generated **
  Model:
    containment="true"

### getImplementationBundle

    java.lang.String getImplementationBundle()

  Returns the value of the 'Implementation Bundle' attribute.

  If the meaning of the 'Implementation Bundle' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Implementation Bundle' attribute.
  See Also:
    `setImplementationBundle(String)`, `GMFGraphPackage.getFigureGallery_ImplementationBundle()`
  ** Generated **
  Model:

### setImplementationBundle

    void setImplementationBundle(java.lang.String value)

  Sets the value of the '`Implementation Bundle`' attribute.

  Parameters:
    `value` - the new value of the 'Implementation Bundle' attribute.
  See Also:
    `getImplementationBundle()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.